[neon/neon/ubuntu-advantage-tools/Neon/release] debian: put the .distrib file in the kde_neon dir as apt complains owtherwise
Carlos De Maine
null at kde.org
Fri Jun 19 08:01:27 BST 2026
Git commit c38100bae2f66316cee011a8ba902db8a993a281 by Carlos De Maine.
Committed on 19/06/2026 at 06:59.
Pushed by carlosdem into branch 'Neon/release'.
put the .distrib file in the kde_neon dir as apt complains owtherwise
M +4 -4 debian/ubuntu-advantage-tools.postinst
https://invent.kde.org/neon/neon/ubuntu-advantage-tools/-/commit/c38100bae2f66316cee011a8ba902db8a993a281
diff --git a/debian/ubuntu-advantage-tools.postinst b/debian/ubuntu-advantage-tools.postinst
index 05bf893..0163564 100644
--- a/debian/ubuntu-advantage-tools.postinst
+++ b/debian/ubuntu-advantage-tools.postinst
@@ -6,15 +6,15 @@ set -e
systemctl stop apt-news.service esm-cache.service >/dev/null 2>&1 || true
systemctl mask apt-news.service esm-cache.service >/dev/null 2>&1 || true
-# dpkg-divert the service away as well
-dpkg-divert --rename --remove /etc/apt/apt.conf.d/20apt-esm-hook.conf || true
-dpkg-divert --add --package ubuntu-advantage-tools --divert /etc/apt/apt.conf.d/20apt-esm-hook.conf.distrib /etc/apt/apt.conf.d/20apt-esm-hook-neon.conf
-
if [ ! -e "$(dirname "/etc/kde_neon/")" ]
then
mkdir --parents "$(dirname "/etc/kde_neon/")"
fi
+# dpkg-divert the service away as well
+dpkg-divert --rename --remove /etc/apt/apt.conf.d/20apt-esm-hook.conf || true
+dpkg-divert --add --package ubuntu-advantage-tools --divert /etc/kde_neon/20apt-esm-hook.conf.distrib /etc/apt/apt.conf.d/20apt-esm-hook-neon.conf
+
if [ -L "/etc/apt/apt.conf.d/20apt-esm-hook.conf" -o ! -e "/etc/apt/apt.conf.d/20apt-esm-hook.conf" ]
then
ln --force --relative --symbolic "/etc/kde_neon/20apt-esm-hook.conf" "/etc/apt/apt.conf.d/20apt-esm-hook.conf"
More information about the Neon-commits
mailing list